net.i2p.sam

## Class SSLServerSocketChannel

- java.lang.Object
- - java.nio.channels.spi.AbstractInterruptibleChannel
  - - java.nio.channels.SelectableChannel
    - - java.nio.channels.spi.AbstractSelectableChannel
      - - java.nio.channels.ServerSocketChannel
        - - net.i2p.sam.SSLServerSocketChannel

- All Implemented Interfaces:
    Closeable, AutoCloseable, Channel, InterruptibleChannel, NetworkChannel

      class SSLServerSocketChannel
      extends ServerSocketChannel

  Simple wrapper for a SSLServerSocket. Cannot be used for asynch ops.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLServerSocketChannel(SSLServerSocket socket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketChannel` | `accept()`
    `ServerSocketChannel` | `bind(SocketAddress local, int backlog)` requires Java 7
    `SocketAddress` | `getLocalAddress()`
    `<T> T` | `getOption(SocketOption<T> name)`
    `void` | `implCloseSelectableChannel()`
    `void` | `implConfigureBlocking(boolean block)`
    `<T> ServerSocketChannel` | `setOption(SocketOption<T> name, T value)` requires Java 7
    `ServerSocket` | `socket()`
    `Set<SocketOption<?>>` | `supportedOptions()`

    - ### Methods inherited from class java.nio.channels.ServerSocketChannel

      `bind, open, validOps`

    - ### Methods inherited from class java.nio.channels.spi.AbstractSelectableChannel

      `blockingLock, configureBlocking, implCloseChannel, isBlocking, isRegistered, keyFor, provider, register`

    - ### Methods inherited from class java.nio.channels.SelectableChannel

      `register`

    - ### Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel

      `begin, close, end, isOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.nio.channels.Channel

      `close, isOpen`

- - ### Constructor Detail

    - #### SSLServerSocketChannel

          public SSLServerSocketChannel(SSLServerSocket socket)

  - ### Method Detail

    - #### accept

          public SocketChannel accept()
                               throws IOException

      Specified by:
        `accept` in class `ServerSocketChannel`
      Throws:
        `IOException`

    - #### bind

          public ServerSocketChannel bind(SocketAddress local,
                                          int backlog)

      requires Java 7
      Specified by:
        `bind` in class `ServerSocketChannel`

    - #### getLocalAddress

          public SocketAddress getLocalAddress()

      Specified by:
        `getLocalAddress` in interface `NetworkChannel`
      Specified by:
        `getLocalAddress` in class `ServerSocketChannel`

    - #### getOption

          public <T> T getOption(SocketOption<T> name)

    - #### implCloseSelectableChannel

          public void implCloseSelectableChannel()
                                          throws IOException

      Specified by:
        `implCloseSelectableChannel` in class `AbstractSelectableChannel`
      Throws:
        `IOException`

    - #### implConfigureBlocking

          public void implConfigureBlocking(boolean block)
                                     throws IOException

      Specified by:
        `implConfigureBlocking` in class `AbstractSelectableChannel`
      Throws:
        `IOException`

    - #### setOption

          public <T> ServerSocketChannel setOption(SocketOption<T> name,
                                                   T value)

      requires Java 7
      Specified by:
        `setOption` in interface `NetworkChannel`
      Specified by:
        `setOption` in class `ServerSocketChannel`

    - #### socket

          public ServerSocket socket()

      Specified by:
        `socket` in class `ServerSocketChannel`

    - #### supportedOptions

          public Set<SocketOption<?>> supportedOptions()